UTMPDUMP(1)

NOM
utmpdump - Vider des fichiers utmp et wtmp au format brut

SYNOPSIS
utmpdump [options] [fichier]

DESCRIPTION
utmpdump est un programme simple pour vider des fichiers utmp et wtmp au format brut, afin de pouvoir les examiner. utmpdump lit l’entrée standard sauf si un fichier est indiqué.

OPTIONS

-f, --follow
    Afficher les données ajoutées lorsque le fichier grossit.

-o, --output fichier
    Écrire la sortie de la commande dans fichier au lieu de la sortie standard.

-r, --reverse
    Restaurer, réécrire les informations de connexion éditées dans les fichiers utmp et wtmp.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

NOTES
utmpdump peut être utile en cas d’entrées utmp ou wtmp corrompues. Il peut vider utmp ou wtmp dans un fichier ASCII, qui peut ensuite être modifié pour supprimer les entrées boguées, puis réintégré en utilisant :

    utmpdump -r < fichier_ASCII > wtmp

Avertissement : utmpdump n’a été écrit que pour des besoins de débogage.

BOGUES
Vous ne devriez pas utiliser l’option -r, car le format des fichiers utmp ou wtmp dépend fortement du format d’entrée. Cet outil n’a pas été écrit pour une utilisation normale, mais seulement pour le débogage.

AUTEUR
Michael Krapp

VOIR AUSSI
last(1), w(1), who(1), utmp(5)

DISPONIBILITÉ
La commande utmpdump fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.